Index: trunk/ab5.0/abdev/abdev/RadProc.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/RadProc.cpp	(revision 613)
+++ trunk/ab5.0/abdev/abdev/RadProc.cpp	(revision 615)
@@ -4,5 +4,5 @@
 #include "common.h"
 
-void NewRadWindow( const WINDOW_INFO &windowInfo )
+void NewRadWindow( const WindowInfo &windowInfo )
 {
 	extern HINSTANCE hInst,hResInst;
@@ -165,7 +165,7 @@
 	CHILDINFO *pChildInfo;
 
-	WINDOW_INFO *pWindowInfo = &ProjectInfo.windowInfos[WndInfoNum];
-
-	pWindowInfo->pChildInfo=(CHILDINFO *)HeapReAlloc(hHeap,0,pWindowInfo->pChildInfo,(pWindowInfo->NumberOfChildWindows+1)*sizeof(WINDOW_INFO));
+	WindowInfo *pWindowInfo = ProjectInfo.windowInfos[WndInfoNum];
+
+	pWindowInfo->pChildInfo=(CHILDINFO *)HeapReAlloc(hHeap,0,pWindowInfo->pChildInfo,(pWindowInfo->NumberOfChildWindows+1)*sizeof(WindowInfo));
 	if(ItemNum==-1)
 		NewItemNum=pWindowInfo->NumberOfChildWindows;
@@ -264,5 +264,5 @@
 	int i;
 
-	WINDOW_INFO *pWindowInfo = &ProjectInfo.windowInfos[WndInfoNum];
+	WindowInfo *pWindowInfo = ProjectInfo.windowInfos[WndInfoNum];
 
 	//変更情報
@@ -347,5 +347,5 @@
 	RECT rect;
 
-	WINDOW_INFO *pWindowInfo = &ProjectInfo.windowInfos[WndInfoNum];
+	WindowInfo *pWindowInfo = ProjectInfo.windowInfos[WndInfoNum];
 
 	hdc=GetDC(hwnd);
@@ -449,5 +449,5 @@
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
 
-	WINDOW_INFO *pWindowInfo = &ProjectInfo.windowInfos[WndInfoNum];
+	WindowInfo *pWindowInfo = ProjectInfo.windowInfos[WndInfoNum];
 
 	if(MdiInfo[WndNum].MdiRadInfo->SelectingItem[num]==SELECT_WINDOW){
@@ -546,5 +546,5 @@
 	SCROLLINFO ScrollInfo;
 
-	WINDOW_INFO *pWindowInfo = &ProjectInfo.windowInfos[WndInfoNum];
+	WindowInfo *pWindowInfo = ProjectInfo.windowInfos[WndInfoNum];
 
 	DestroyWindow(MdiInfo[WndNum].MdiRadInfo->hProp_Dlg);
@@ -607,5 +607,5 @@
 	int i;
 
-	WINDOW_INFO *pWindowInfo = &ProjectInfo.windowInfos[WndInfoNum];
+	WindowInfo *pWindowInfo = ProjectInfo.windowInfos[WndInfoNum];
 
 	for(i=pWindowInfo->NumberOfChildWindows-1;i>=0;i--){
@@ -669,5 +669,5 @@
 
 	//サポートダイアログの内容をセット
-	SetSupportDlgData( WndNum, ProjectInfo.windowInfos[WndInfoNum] );
+	SetSupportDlgData( WndNum, *ProjectInfo.windowInfos[WndInfoNum] );
 }
 void SetItemNumOnFrame(int WndNum,int WndInfoNum,RECT *pRect){
@@ -676,5 +676,5 @@
 	RECT rect;
 
-	WINDOW_INFO *pWindowInfo = &ProjectInfo.windowInfos[WndInfoNum];
+	WindowInfo *pWindowInfo = ProjectInfo.windowInfos[WndInfoNum];
 
 	for(i=1;i<MAX_RAD_SELITEM;i++) MdiInfo[WndNum].MdiRadInfo->SelectingItem[i]=-1;
@@ -701,5 +701,5 @@
 	RECT rect;
 
-	WINDOW_INFO *pWindowInfo = &ProjectInfo.windowInfos[WndInfoNum];
+	WindowInfo *pWindowInfo = ProjectInfo.windowInfos[WndInfoNum];
 
 	if(MdiInfo[WndNum].MdiRadInfo->SelectingItem[1]!=-1){
@@ -762,5 +762,5 @@
 	SIZE NeedSize;
 
-	WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[WndNum].path);
+	WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[WndNum].path);
 
 	//必要な幅、高さを共に100ピクセル余裕を持たせる
@@ -817,5 +817,5 @@
 				i=GetWndNum(GetParent(hwnd));
 				i2 = GetWndInfoNum(MdiInfo[i].path);
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_MOUSE){
@@ -897,5 +897,5 @@
 				i=GetWndNum(hParent);
 				i2 = GetWndInfoNum(MdiInfo[i].path);
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_MOUSE){
@@ -1275,5 +1275,5 @@
 				i=GetWndNum(hParent);
 				i2 = GetWndInfoNum(MdiInfo[i].path);
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_MOUSE){
@@ -1440,5 +1440,5 @@
 				i=GetWndNum(hParent);
 				i2=GetWndInfoNum(MdiInfo[i].path);
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 				if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_MOUSE){
 					if(MdiInfo[i].MdiRadInfo->SelectingItem[0]!=SELECT_WINDOW){
@@ -1467,5 +1467,5 @@
 				hParent=GetParent(hwnd);
 				i=GetWndNum(hParent);
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 				if(MdiInfo[i].MdiRadInfo->ButtonSelect==IDC_TOOL_MOUSE){
 					if(MdiInfo[i].MdiRadInfo->SelectingItem[0]==SELECT_WINDOW){
